classdef superClass < handle & testClass1 
    %UNTITLED Summary of this class goes here
    %   Detailed explanation goes here
    
    properties
        Property2
    end
    
    methods
        function obj = superClass(inputArg1,inputArg2)
            %UNTITLED Construct an instance of this class
            %   Detailed explanation goes here
            obj.Property2 = inputArg1 + inputArg2;
        end
        
        function outputArg = method2(obj,inputArg)
            %METHOD1 Summary of this method goes here
            %   Detailed explanation goes here
            outputArg = obj.Property2 + inputArg;
        end
        
        function dumpFromMaster(obj)
            assignin('base','obj_master',obj)
        end
    end
end

